Bug 1791154 - xlators/features/quota/src/quota.c:quota_log_usage
Summary: xlators/features/quota/src/quota.c:quota_log_usage
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: quota
Version: 7
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-15 02:58 UTC by JinyuXi
Modified: 2020-02-10 07:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
: 1792707 (view as bug list)
Environment:
Last Closed: 2020-02-10 07:37:14 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 24018 0 None Open Fix possible resource leaks. 2020-01-15 03:23:31 UTC
Gluster.org Gerrit 24067 0 None Merged Fix possible resource leaks. 2020-02-10 07:37:13 UTC

Description JinyuXi 2020-01-15 02:58:29 UTC
//The quota_log_helper() function applies memory for path through inode_path(), no free.



if (DID_REACH_LIMIT(ctx->soft_lim, ctx->size, cur_size)) {
        quota_log_helper(&usage_str, cur_size, inode, &path, &cur_time);  
        gf_msg(this->name, GF_LOG_ALERT, 0, Q_MSG_CROSSED_SOFT_LIMIT,
               "Usage crossed soft limit: "
               "%s used by %s",
               usage_str, path);

        gf_event(EVENT_QUOTA_CROSSED_SOFT_LIMIT,
                 "Usage=%s;volume=%s;"
                 "path=%s",
                 usage_str, priv->volume_uuid, path);

        ctx->prev_log = cur_time;

    }

Comment 1 Worker Ant 2020-01-15 03:23:33 UTC
REVIEW: https://review.gluster.org/24018 (Fix possible resource leaks.) posted (#1) for review on master by xijinyu

Comment 2 Worker Ant 2020-01-27 09:06:20 UTC
REVIEW: https://review.gluster.org/24067 (Fix possible resource leaks.) posted (#2) for review on release-7 by Sunny Kumar

Comment 3 Worker Ant 2020-02-10 07:37:14 UTC
REVIEW: https://review.gluster.org/24067 (Fix possible resource leaks.) merged (#3) on release-7 by Rinku Kothiya


Note You need to log in before you can comment on or make changes to this bug.